$(document).ready(function() {

        /* Engine START! */



        if(edm == false){
            initform();
        }

        //the tabs
      
         $('.tabs button').click(function(){
           switch_tabs($(this));
         });
        
         switch_tabs($('.defaulttab'));

         //auto complete


         //head- title fields
        
        $(document).on("change, keyup", "#head_title_lenght-1-l", updateFields_1);
        $(document).on("change, keyup", "#head_title_lenght-2-l", updateFields_2);
        $(document).on("change, keyup", "#head_title_lenght-3-l", updateFields_3);

        $(document).on("change, keyup", "#head_title_relevance-1-l", updateFields_4);
        $(document).on("change, keyup", "#head_title_relevance-2-l", updateFields_5);

        //head- meta keywords fields

         

        $(document).on("change, keyup", "#head_metakw_count-1-l", updateFields_6);
        $(document).on("change, keyup", "#head_metakw_count-2-l", updateFields_7);
        $(document).on("change, keyup", "#head_metakw_count-3-l", updateFields_8);

        $(document).on("change, keyup", "#head_metakw_relevance-1-l", updateFields_9);
        $(document).on("change, keyup", "#head_metakw_relevance-2-l", updateFields_10);


        // head - meta desc
         

        $(document).on("change, keyup", "#head_metadesc_lenght-1-l", updateFields_11);
        $(document).on("change, keyup", "#head_metadesc_lenght-2-l", updateFields_12);
        $(document).on("change, keyup", "#head_metadesc_lenght-3-l", updateFields_13);
        $(document).on("change, keyup", "#head_metadesc_relevance-1-l", updateFields_14);
        $(document).on("change, keyup", "#head_metadesc_relevance-2-l", updateFields_15);

        // content - characters count


        $(document).on("change, keyup", "#content_charcount-1-l", updateFields_16);
        $(document).on("change, keyup", "#content_charcount-2-l", updateFields_17);
        $(document).on("change, keyup", "#content_charcount-3-l", updateFields_18);

        // content - words count


        $(document).on("change, keyup", "#content_wordcount-1-l", updateFields_19);
        $(document).on("change, keyup", "#content_wordcount-2-l", updateFields_20);
        $(document).on("change, keyup", "#content_wordcount-3-l", updateFields_21);

        //content - relevance


        $(document).on("change, keyup", "#content_content_relevance-1-l", updateFields_22);
        $(document).on("change, keyup", "#content_content_relevance-2-l", updateFields_23);

        // url struscture - lenght


        $(document).on("change, keyup", "#url_lenght-1-l", updateFields_24);
        $(document).on("change, keyup", "#url_lenght-2-l", updateFields_25);
       // $(document).on("change, keyup", "#url_lenght-3-l", updateFields_26);

        //links 


        $(document).on("change, keyup", "#links_ilinks-1-l", updateFields_27);
        $(document).on("change, keyup", "#links_ilinks-2-l", updateFields_28);
        $(document).on("change, keyup", "#links_ilinks-3-l", updateFields_29);

        $(document).on("change, keyup", "#links_elinks-1-l", updateFields_30);
        $(document).on("change, keyup", "#links_elinks-2-l", updateFields_31);
        $(document).on("change, keyup", "#links_elinks-3-l", updateFields_32);

        //ux

        $(document).on("change, keyup", "#ux_speed-1-l", updateFields_33);
        $(document).on("change, keyup", "#ux_speed-2-l", updateFields_34);
        //$(document).on("change, keyup", "#ux_speed-3-l", updateFields_35);

        $(document).on("change, keyup", "#ux_gram-1-l", updateFields_36);
        //$(document).on("change, keyup", "#ux_gram-2-l", updateFields_37);
        $(document).on("change, keyup", "#ux_gram-3-l", updateFields_38);

       });